Skip to content

Checking a Debtor by INN

Checks an individual for debts, extrajudicial bankruptcy, and legal cases by INN. Returns SNILS, registration address, bankruptcy status, and legal case information.

URL

Method: GET

  • Production: https://registry.wallet.kvell.group/reg2/client/debt

Request parameters

Name Data type Required Description
inn string Yes Individual's INN (12 digits)

Request example

GET https://registry.wallet.kvell.group/reg2/client/debt?inn=500100732259

Request headers

Name Data type Required Description
X-Api-Key string Yes Unique identifier (UUID)

Response

Response example

{
  "snils": "15343510334",
  "category": "Физическое лицо",
  "region": "Республика Коми",
  "address": "Республика Коми, г. Сыктывкар",
  "fio": "Абабий Анастасия Ринатовна",
  "inn": "111701953161",
  "extrajudicialBankruptcy": "20761428",
  "legalCase": {
    "number": "А11-13451/2024",
    "managerFio": "Гуреева Людмила Викторовна",
    "description": "Производство по делу завершено",
    "date": "2025-11-27T00:00:00"
  },
  "message": null
}

Response parameters

Name Data type Description
snils string SNILS
category string Debtor category
region string Region
fio string Full name
inn string INN
extrajudicialBankruptcy string Extrajudicial bankruptcy case number
legalCase object Most recent legal case
message string Status of the client search in the debtor database